<?php
/**
 * Air Condition Repair functions and definitions
 *
 * @package Air Condition Repair
 * @subpackage air_condition_repair
 */

function air_condition_repair_setup() {

	load_theme_textdomain( 'air-condition-repair', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'title-tag' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'air-condition-repair-featured-image', 2000, 1200, true );
	add_image_size( 'air-condition-repair-thumbnail-avatar', 100, 100, true );

	// Set the default content width.
	$GLOBALS['content_width'] = 525;

	// This theme uses wp_nav_menu() in two locations.
	register_nav_menus( array(
		'primary-menu'    => __( 'Primary Menu', 'air-condition-repair' ),
	) );

	// Add theme support for Custom Logo.
	add_theme_support( 'custom-logo', array(
		'width'       => 250,
		'height'      => 250,
		'flex-width'  => true,
    	'flex-height' => true,
	) );

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );

	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_theme_support( 'html5', array('comment-form','comment-list','gallery','caption',) );

	add_theme_support( 'custom-header', apply_filters( 'air_condition_repair_custom_header_args', array(
        'default-text-color' => 'fff',
        'header-text'        => false,
        'width'              => 1600,
        'height'             => 400,
        'flex-width'         => true,
        'flex-height'        => true,
        'wp-head-callback'   => 'air_condition_repair_header_style',
        'default-image'      => get_template_directory_uri() . '/assets/images/sliderimage.png',
    ) ) );

	/**
	 * Implement the Custom Header feature.
	 */
	require get_parent_theme_file_path( '/inc/custom-header.php' );

}
add_action( 'after_setup_theme', 'air_condition_repair_setup' );

// Add function after setup:
function air_condition_repair_conditional_editor_styles() {
	
	add_editor_style( array( 'assets/css/editor-style.css', air_condition_repair_fonts_url() ) );
}
add_action( 'after_setup_theme', 'air_condition_repair_conditional_editor_styles', 11 );

/**
 * Register custom fonts.
 */
function air_condition_repair_fonts_url(){
	$air_condition_repair_font_url = '';
	$air_condition_repair_font_family = array();
	$air_condition_repair_font_family[] = 'Satisfy';
	$air_condition_repair_font_family[] = 'Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900';
	$air_condition_repair_font_family[] = 'Manrope:wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Oxanium:wght@200;300;400;500;600;700;800';
	$air_condition_repair_font_family[] = 'Oswald:200,300,400,500,600,700';
	$air_condition_repair_font_family[] = 'Roboto Serif:wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Bad Script';
	$air_condition_repair_font_family[] = 'Bebas Neue';
	$air_condition_repair_font_family[] = 'Fjalla One';
	$air_condition_repair_font_family[] = 'PT Sans:ital,wght@0,400;0,700;1,400;1,700';
	$air_condition_repair_font_family[] = 'PT Serif:ital,wght@0,400;0,700;1,400;1,700';
	$air_condition_repair_font_family[] = 'Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900';
	$air_condition_repair_font_family[] = 'Roboto Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$air_condition_repair_font_family[] = 'Roboto+Flex:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Alex Brush';
	$air_condition_repair_font_family[] = 'Overpass:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Playball';
	$air_condition_repair_font_family[] = 'Alegreya:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Julius Sans One';
	$air_condition_repair_font_family[] = 'Arsenal:ital,wght@0,400;0,700;1,400;1,700';
	$air_condition_repair_font_family[] = 'Slabo 13px';
	$air_condition_repair_font_family[] = 'Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900';
	$air_condition_repair_font_family[] = 'Overpass Mono:wght@300;400;500;600;700';
	$air_condition_repair_font_family[] = 'Source Sans Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900';
	$air_condition_repair_font_family[] = 'Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900';
	$air_condition_repair_font_family[] = 'Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Lora:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$air_condition_repair_font_family[] = 'Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700';
	$air_condition_repair_font_family[] = 'Cabin:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$air_condition_repair_font_family[] = 'Arimo:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$air_condition_repair_font_family[] = 'Playfair Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Quicksand:wght@300;400;500;600;700';
	$air_condition_repair_font_family[] = 'Padauk:wght@400;700';
	$air_condition_repair_font_family[] = 'Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$air_condition_repair_font_family[] = 'Inconsolata:wght@200;300;400;500;600;700;800;900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$air_condition_repair_font_family[] = 'Bitter:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$air_condition_repair_font_family[] = 'Pacifico';
	$air_condition_repair_font_family[] = 'Indie Flower';
	$air_condition_repair_font_family[] = 'VT323';
	$air_condition_repair_font_family[] = 'Dosis:wght@200;300;400;500;600;700;800';
	$air_condition_repair_font_family[] = 'Frank Ruhl Libre:wght@300;400;500;700;900';
	$air_condition_repair_font_family[] = 'Fjalla One';
	$air_condition_repair_font_family[] = 'Figtree:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Oxygen:wght@300;400;700';
	$air_condition_repair_font_family[] = 'Arvo:ital,wght@0,400;0,700;1,400;1,700';
	$air_condition_repair_font_family[] = 'Noto Serif:ital,wght@0,400;0,700;1,400;1,700';
	$air_condition_repair_font_family[] = 'Lobster';
	$air_condition_repair_font_family[] = 'Crimson Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700';
	$air_condition_repair_font_family[] = 'Yanone Kaffeesatz:wght@200;300;400;500;600;700';
	$air_condition_repair_font_family[] = 'Anton';
	$air_condition_repair_font_family[] = 'Libre Baskerville:ital,wght@0,400;0,700;1,400';
	$air_condition_repair_font_family[] = 'Bree Serif';
	$air_condition_repair_font_family[] = 'Gloria Hallelujah';
	$air_condition_repair_font_family[] = 'Abril Fatface';
	$air_condition_repair_font_family[] = 'Varela Round';
	$air_condition_repair_font_family[] = 'Vampiro One';
	$air_condition_repair_font_family[] = 'Shadows Into Light';
	$air_condition_repair_font_family[] = 'Cuprum:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$air_condition_repair_font_family[] = 'Rokkitt:wght@100;200;300;400;500;600;700;800;900';
	$air_condition_repair_font_family[] = 'Vollkorn:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Francois One';
	$air_condition_repair_font_family[] = 'Orbitron:wght@400;500;600;700;800;900';
	$air_condition_repair_font_family[] = 'Patua One';
	$air_condition_repair_font_family[] = 'Acme';
	$air_condition_repair_font_family[] = 'Satisfy';
	$air_condition_repair_font_family[] = 'Josefin Slab:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700';
	$air_condition_repair_font_family[] = 'Quattrocento Sans:ital,wght@0,400;0,700;1,400;1,700';
	$air_condition_repair_font_family[] = 'Architects Daughter';
	$air_condition_repair_font_family[] = 'Russo One';
	$air_condition_repair_font_family[] = 'Monda:wght@400;700';
	$air_condition_repair_font_family[] = 'Righteous';
	$air_condition_repair_font_family[] = 'Lobster Two:ital,wght@0,400;0,700;1,400;1,700';
	$air_condition_repair_font_family[] = 'Hammersmith One';
	$air_condition_repair_font_family[] = 'Courgette';
	$air_condition_repair_font_family[] = 'Permanent Marke';
	$air_condition_repair_font_family[] = 'Cherry Swash:wght@400;700';
	$air_condition_repair_font_family[] = 'Cormorant Garamond:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700';
	$air_condition_repair_font_family[] = 'Poiret One';
	$air_condition_repair_font_family[] = 'BenchNine:wght@300;400;700';
	$air_condition_repair_font_family[] = 'Economica:ital,wght@0,400;0,700;1,400;1,700';
	$air_condition_repair_font_family[] = 'Handlee';
	$air_condition_repair_font_family[] = 'Cardo:ital,wght@0,400;0,700;1,400';
	$air_condition_repair_font_family[] = 'Alfa Slab One';
	$air_condition_repair_font_family[] = 'Averia Serif Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$air_condition_repair_font_family[] = 'Cookie';
	$air_condition_repair_font_family[] = 'Chewy';
	$air_condition_repair_font_family[] = 'Great Vibes';
	$air_condition_repair_font_family[] = 'Coming Soon';
	$air_condition_repair_font_family[] = 'Philosopher:ital,wght@0,400;0,700;1,400;1,700';
	$air_condition_repair_font_family[] = 'Days One';
	$air_condition_repair_font_family[] = 'Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Shrikhand';
	$air_condition_repair_font_family[] = 'Tangerine:wght@400;700';
	$air_condition_repair_font_family[] = 'IM Fell English SC';
	$air_condition_repair_font_family[] = 'Boogaloo';
	$air_condition_repair_font_family[] = 'Bangers';
	$air_condition_repair_font_family[] = 'Fredoka One';
	$air_condition_repair_font_family[] = 'Volkhov:ital,wght@0,400;0,700;1,400;1,700';
	$air_condition_repair_font_family[] = 'Shadows Into Light Two';
	$air_condition_repair_font_family[] = 'Marck Script';
	$air_condition_repair_font_family[] = 'Sacramento';
	$air_condition_repair_font_family[] = 'Unica One';
	$air_condition_repair_font_family[] = 'Dancing Script:wght@400;500;600;700';
	$air_condition_repair_font_family[] = 'Exo 2:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Archivo:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'Jost:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$air_condition_repair_font_family[] = 'DM Serif Display:ital@0;1';
	$air_condition_repair_font_family[] = 'Open Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800';
	$air_condition_repair_font_family[] = 'Karla:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,200;1,300;1,400;1,500;1,600;1,700;1,800';

	$air_condition_repair_query_args = array(
		'family'	=> rawurlencode(implode('|',$air_condition_repair_font_family)),
	);
	$air_condition_repair_font_url = add_query_arg($air_condition_repair_query_args,'//fonts.googleapis.com/css');
	return $air_condition_repair_font_url;
	$contents = wptt_get_webfont_url( esc_url_raw( $air_condition_repair_font_url ) );
}

/**
 * Register widget area.
 */
function air_condition_repair_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'air-condition-repair' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'air-condition-repair' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'air-condition-repair' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'air-condition-repair' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'air-condition-repair' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'air-condition-repair' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 1', 'air-condition-repair' ),
		'id'            => 'footer-1',
		'description'   => __( 'Add widgets here to appear in your footer.', 'air-condition-repair' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 2', 'air-condition-repair' ),
		'id'            => 'footer-2',
		'description'   => __( 'Add widgets here to appear in your footer.', 'air-condition-repair' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 3', 'air-condition-repair' ),
		'id'            => 'footer-3',
		'description'   => __( 'Add widgets here to appear in your footer.', 'air-condition-repair' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 4', 'air-condition-repair' ),
		'id'            => 'footer-4',
		'description'   => __( 'Add widgets here to appear in your footer.', 'air-condition-repair' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'air_condition_repair_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function air_condition_repair_scripts() {
	// Add custom fonts, used in the main stylesheet.
	wp_enqueue_style( 'air-condition-repair-fonts', air_condition_repair_fonts_url(), array(), null );

	// owl
	wp_enqueue_style( 'owl-carousel-css', get_theme_file_uri( '/assets/css/owl.carousel.css' ) );

	// Bootstrap
	wp_enqueue_style( 'bootstrap-css', get_theme_file_uri( '/assets/css/bootstrap.css' ) );

	// Theme stylesheet.
	wp_enqueue_style( 'air-condition-repair-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/tp-theme-color.php' );
	wp_add_inline_style( 'air-condition-repair-style',$air_condition_repair_tp_theme_css );
	wp_style_add_data('air-condition-repair-style', 'rtl', 'replace');
	require get_parent_theme_file_path( '/tp-body-width-layout.php' );
	wp_add_inline_style( 'air-condition-repair-style',$air_condition_repair_tp_theme_css );
	wp_style_add_data('air-condition-repair-style', 'rtl', 'replace');

	// Theme block stylesheet.
	wp_enqueue_style( 'air-condition-repair-block-style', get_theme_file_uri( '/assets/css/blocks.css' ), array( 'air-condition-repair-style' ), '1.0' );

	// Fontawesome
	wp_enqueue_style( 'fontawesome-css', get_theme_file_uri( '/assets/css/fontawesome-all.css' ) );
	
	wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/assets/js/wow.js', array('jquery'),'' ,true );
	wp_enqueue_style( 'animate-style', get_template_directory_uri().'/assets/css/animate.css' );

	wp_enqueue_script( 'air-condition-repair-custom-scripts', get_template_directory_uri() . '/assets/js/air-condition-repair-custom.js', array('jquery'), true );


	wp_enqueue_script( 'bootstrap-js', get_theme_file_uri( '/assets/js/bootstrap.js' ), array( 'jquery' ), true );

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );

	wp_enqueue_script( 'air-condition-repair-focus-nav', get_template_directory_uri() . '/assets/js/focus-nav.js', array('jquery'), true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	$air_condition_repair_body_font_family = get_theme_mod('air_condition_repair_body_font_family', '');

	$air_condition_repair_heading_font_family = get_theme_mod('air_condition_repair_heading_font_family', '');

	$air_condition_repair_menu_font_family = get_theme_mod('air_condition_repair_menu_font_family', '');

	$air_condition_repair_tp_theme_css = '
		body, p.simplep, .more-btn a{
		    font-family: '.esc_html($air_condition_repair_body_font_family).';
		}
		h1,h2, h3, h4, h5, h6, .menubar,.logo h1, .logo p.site-title, p.simplep a, #main-slider p.slidertop-title, .more-btn a,.wc-block-checkout__actions_row .wc-block-components-checkout-place-order-button,.wc-block-cart__submit-container a,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, #theme-sidebar button[type="submit"],
#footer button[type="submit"]{
		    font-family: '.esc_html($air_condition_repair_heading_font_family).';
		}
	';
	wp_add_inline_style('air-condition-repair-style', $air_condition_repair_tp_theme_css);
}
add_action( 'wp_enqueue_scripts', 'air_condition_repair_scripts' );

/*radio button sanitization*/
function air_condition_repair_sanitize_choices( $input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}

// Sanitize Sortable control.
function air_condition_repair_sanitize_sortable( $val, $setting ) {
	if ( is_string( $val ) || is_numeric( $val ) ) {
		return array(
			esc_attr( $val ),
		);
	}
	$sanitized_value = array();
	foreach ( $val as $item ) {
		if ( isset( $setting->manager->get_control( $setting->id )->choices[ $item ] ) ) {
			$sanitized_value[] = esc_attr( $item );
		}
	}
	return $sanitized_value;
}
/* Excerpt Limit Begin */
function air_condition_repair_excerpt_function($excerpt_count = 35) {
    $air_condition_repair_excerpt = get_the_excerpt();

    $AIR_CONDITION_REPAIR_TEXT_excerpt = wp_strip_all_tags($air_condition_repair_excerpt);

    $air_condition_repair_excerpt_limit = esc_attr(get_theme_mod('air_condition_repair_excerpt_count', $excerpt_count));

    $air_condition_repair_theme_excerpt = implode(' ', array_slice(explode(' ', $AIR_CONDITION_REPAIR_TEXT_excerpt), 0, $air_condition_repair_excerpt_limit));

    return $air_condition_repair_theme_excerpt;
}

function air_condition_repair_sanitize_dropdown_pages( $page_id, $setting ) {
  // Ensure $input is an absolute integer.
  $page_id = absint( $page_id );
  // If $page_id is an ID of a published page, return it; otherwise, return the default.
  return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

// Change number or products per row to 3
add_filter('loop_shop_columns', 'air_condition_repair_loop_columns');
if (!function_exists('air_condition_repair_loop_columns')) {
	function air_condition_repair_loop_columns() {
		$columns = get_theme_mod( 'air_condition_repair_per_columns', 3 );
		return $columns;
	}
}

// Category count 
function air_condition_repair_display_post_category_count() {
    $air_condition_repair_category = get_the_category();
    $air_condition_repair_category_count = ($air_condition_repair_category) ? count($air_condition_repair_category) : 0;
    $air_condition_repair_category_text = ($air_condition_repair_category_count === 1) ? 'category' : 'categories'; // Check for pluralization
    echo $air_condition_repair_category_count . ' ' . $air_condition_repair_category_text;
}

//post tag
function air_condition_repair_custom_tags_filter($air_condition_repair_tag_list) {
    // Replace the comma (,) with an empty string
    $air_condition_repair_tag_list = str_replace(', ', '', $air_condition_repair_tag_list);

    return $air_condition_repair_tag_list;
}
add_filter('the_tags', 'air_condition_repair_custom_tags_filter');

function air_condition_repair_custom_output_tags() {
    $air_condition_repair_tags = get_the_tags();

    if ($air_condition_repair_tags) {
        $air_condition_repair_tags_output = '<div class="post_tag">Tags: ';

        $air_condition_repair_first_tag = reset($air_condition_repair_tags);

        foreach ($air_condition_repair_tags as $tag) {
            $air_condition_repair_tags_output .= '<a href="' . esc_url(get_tag_link($tag)) . '" rel="tag" class="me-2">' . esc_html($tag->name) . '</a>';
            if ($tag !== $air_condition_repair_first_tag) {
                $air_condition_repair_tags_output .= ' ';
            }
        }

        $air_condition_repair_tags_output .= '</div>';

        echo $air_condition_repair_tags_output;
    }
}
//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'air_condition_repair_per_page', 20 );
function air_condition_repair_per_page( $air_condition_repair_cols ) {
  	$air_condition_repair_cols = get_theme_mod( 'air_condition_repair_product_per_page', 9 );
	return $air_condition_repair_cols;
}

function air_condition_repair_sanitize_number_range( $number, $setting ) {

	// Ensure input is an absolute integer.
	$number = absint( $number );

	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;

	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );

	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );

	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}

function air_condition_repair_string_limit_words($string, $word_limit) {
    $words = explode(' ', $string);
    return implode(' ', array_slice($words, 0, $word_limit));
}

function air_condition_repair_sanitize_checkbox( $input ) {
	// Boolean check
	return ( ( isset( $input ) && true == $input ) ? true : false );
}

function air_condition_repair_sanitize_phone_number( $phone ) {
	return preg_replace( '/[^\d+]/', '', $phone );
}

function air_condition_repair_sanitize_number_absint( $number, $setting ) {
	// Ensure $number is an absolute integer (whole number, zero or greater).
	$number = absint( $number );

	// If the input is an absolute integer, return it; otherwise, return the default
	return ( $number ? $number : $setting->default );
}

/**
 * Use front-page.php when Front page displays is set to a static page.
 */
function air_condition_repair_front_page_template( $template ) {
	return is_home() ? '' : $template;
}
add_filter( 'frontpage_template','air_condition_repair_front_page_template' );

// logo
function air_condition_repair_logo_width(){

	$air_condition_repair_logo_width   = get_theme_mod( 'air_condition_repair_logo_width', 80 );

	echo "<style type='text/css' media='all'>"; ?>
		img.custom-logo{
		    width: <?php echo absint( $air_condition_repair_logo_width ); ?>px;
		    max-width: 100%;
		}
	<?php echo "</style>";
}

add_action( 'wp_head', 'air_condition_repair_logo_width' );

function air_condition_repair_theme_setup() {

	define('AIR_CONDITION_REPAIR_CREDIT',__('https://www.themespride.com/products/air-condition-repair','air-condition-repair') );
	if ( ! function_exists( 'air_condition_repair_credit' ) ) {
		function air_condition_repair_credit(){
			echo "<a href=".esc_url(AIR_CONDITION_REPAIR_CREDIT)." target='_blank'>".esc_html__(get_theme_mod('air_condition_repair_footer_text',__('Air Condition Repair WordPress Theme','air-condition-repair')))."</a>";
		}
	}

	/**
	 * Custom template tags for this theme.
	 */
	require get_parent_theme_file_path( '/inc/template-tags.php' );

	/**
	 * Additional features to allow styling of the templates.
	 */
	require get_parent_theme_file_path( '/inc/template-functions.php' );

	/**
	 * Customizer additions.
	 */
	require get_parent_theme_file_path( '/inc/customizer.php' );

	/**
	 * Load Theme Web File
	 */
	require get_parent_theme_file_path('/inc/wptt-webfont-loader.php' );
	/**
	 * Load Theme Web File
	 */
	require get_parent_theme_file_path( '/inc/controls/customize-control-toggle.php' );
	/**
	 * load sortable file
	 */
	require get_parent_theme_file_path( '/inc/controls/sortable-control.php' );

	/**
	 * TGM Recommendation
	 */
	require get_parent_theme_file_path( '/inc/TGM/tgm.php' );

	/**
	 * About Theme Page
	 */
	require get_parent_theme_file_path( '/inc/about-theme.php' );

}
add_action( 'after_setup_theme', 'air_condition_repair_theme_setup' );


//Admin Enqueue for Admin
function air_condition_repair_admin_enqueue_scripts(){
	wp_enqueue_style('air-condition-repair-admin-style', get_template_directory_uri() . '/assets/css/admin.css');
	wp_register_script( 'air-condition-repair-admin-script', get_template_directory_uri() . '/assets/js/air-condition-repair-admin.js', array( 'jquery' ), '', true );

	wp_localize_script(
		'air-condition-repair-admin-script',
		'air_condition_repair',
		array(
			'admin_ajax'	=>	admin_url('admin-ajax.php'),
			'wpnonce'			=>	wp_create_nonce('air_condition_repair_dismissed_notice_nonce')
		)
	);
	wp_enqueue_script('air-condition-repair-admin-script');

    wp_localize_script( 'air-condition-repair-admin-script', 'air_condition_repair_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'air_condition_repair_admin_enqueue_scripts' );

// get started
add_action( 'wp_ajax_air_condition_repair_dismissed_notice_handler', 'air_condition_repair_ajax_notice_handler' );

function air_condition_repair_ajax_notice_handler() {
	if (!wp_verify_nonce($_POST['wpnonce'], 'air_condition_repair_dismissed_notice_nonce')) {
		exit;
	}
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function air_condition_repair_activation_notice() { 

	if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>

    <div class="air-condition-repair-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
        <div class="air-condition-repair-getting-started-notice clearfix">
        	<div class="row-top">
	            <div class="air-condition-repair-theme-notice-content">
	                <h2 class="air-condition-repair-notice-h2">
	                    <?php
	                printf(
	                /* translators: 1: welcome page link starting html tag, 2: welcome page link ending html tag. */
	                    esc_html__( 'Install the Demo Import Plugin now to instantly set up your site like the live preview.', 'air-condition-repair' ), '<strong>'. wp_get_theme()->get('Name'). '</strong>' );
	                ?>
	                </h2>
	                <a class="air-condition-repair-btn-get-started button button-primary button-hero air-condition-repair-button-padding" href="<?php echo esc_url( admin_url( 'themes.php?page=air-condition-repair-about' )); ?>" ><?php esc_html_e( 'Get Started with Air Condition Repair Theme', 'air-condition-repair' ) ?></a>
	            </div>
	            <div class="image-box">
			    	<img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/theme-notice.png' ); ?>" alt="<?php echo esc_attr__( 'Air Condition Repair', 'air-condition-repair' ); ?>" />
				</div>
	        </div>
        </div>
    </div>
<?php }

}
add_action( 'admin_notices', 'air_condition_repair_activation_notice' );

add_action('after_switch_theme', 'air_condition_repair_setup_options');
function air_condition_repair_setup_options () {
    update_option('dismissed-get_started', FALSE );
}

// Get Started Detail Notice - Dismiss permanently
function air_condition_repair_dismissed_get_started_detail_notice() {
    update_option( 'dismissed-get_started-detail', true );
    wp_send_json_success();
}
add_action( 'wp_ajax_air_condition_repair_dismissed_get_started_detail_notice', 'air_condition_repair_dismissed_get_started_detail_notice' );
add_action( 'wp_ajax_nopriv_air_condition_repair_dismissed_get_started_detail_notice', 'air_condition_repair_dismissed_get_started_detail_notice' );

// Reset on theme switch
add_action('after_switch_theme', 'air_condition_repair_setup_settings');
function air_condition_repair_setup_settings() {
    update_option('dismissed-get_started', false );
    update_option('dismissed-get_started-detail', false );
}

add_action( 'wp_ajax_air_condition_repair_popup_done', 'air_condition_repair_popup_done' );
function air_condition_repair_popup_done() {
	update_option( 'air_condition_repair_demo_popup_shown', true );
	wp_die();
}